package packages.tools;

import java.util.ArrayList;

import greenfoot.*;

import packages.geometry.*;
import packages.input.*;
import packages.learning.*;
import packages.physics.*;
import packages.ui.*;

public class Compiler {
    public static void testStuff(){
        System.out.println("Starting test...\n");
        

        System.out.println("geometry");
            System.out.println("Vector");
            new Vector();
            System.out.println("Vector2D");
            new Vector2D();
            System.out.println("Transform");
            new Transform2D();
            System.out.println("Sensor");
            new Sensor(1, 1);
            System.out.println("RaycastResult");
            new RaycastResult(0, 0, 0, 0, null, true);
            System.out.println("RaycastCondition");
            new RaycastCondition(){
                public boolean collidingAt(int x, int y, World w, int a){
                    return false;
                }
            };
            System.out.println("Raycast");
            new Raycast(){};
            System.out.println("Container");
            new Container(1, 1, 1);
            System.out.println("Camera");
            Camera camera=null;if(true)System.out.println(camera);//new Camera(new Actor() {}); //Does not work without actor being inside of a world
        
        System.out.println("phyics");
            System.out.println("Advanced Actor");
            new AdvancedActor(){};
            System.out.println("CircleCollider");
            new CircleCollider(1, new Vector2D());
            System.out.println("Collider");
            new BoxCollider(new Actor(){});
            System.out.println("Cylinder");
            new Cylinder(1, 1);
            System.out.println("PhysicalActor");
            new PhysicalActor() {};
        
        System.out.println("tools");
            System.out.println("Time");
            new Time();
            System.out.println("Compiler");
            new Compiler();
            System.out.println("Table");
            new Table<>();

        System.out.println("input");
            System.out.println("KeyListener");
            new KeyListener("space");

        System.out.println("ui");
            System.out.println("Button");
            new Button("Hello World!");
            System.out.println("DropDownMenu");
            String[] temp = {"World", "!"};
            new DropDownMenu("Hello", temp);
            System.out.println("FpsDisplay");
            new FpsDisplay();
            System.out.println("Slider");
            new Slider();
            System.out.println("Switch");
            new Switch();
            System.out.println("Text");
            new Text("Hello World!");
            System.out.println("UIPanel");
            new UIPanel(new World(1, 1, 1) {});
            System.out.println("UIWorld");
            new UIWorld(100, 100, 1);
        
        System.out.println("learning");
            System.out.println("OnOffFunction");
            new OnOffFunction();
            System.out.println("SigmoidFunction");
            new SigmoidFunction();
            System.out.println("Neuron");
            new Neuron();
            System.out.println("Edge");
            new Edge(null);
            System.out.println("KeyDownNeuron");
            new KeyDownNeuron("space");
            System.out.println("StaticNeuron");
            new StaticNeuron();
            System.out.println("StaticEdge");
            new StaticEdge(null);
            System.out.println("Network");
            new Network(new ArrayList<>(), 1);
            System.out.println("Generation");
            new Generation(new ArrayList<>()){};
        
        System.out.println("\nSuccessfully testet.");
    }
}
